<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.29
Name: Blutgruppe
Description: Blutgruppe in strukturierter Form
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000">
   <title>Blutgruppe</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]
Item: (Blutgruppe)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]"
         id="d120e2780-false-d24937e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@classCode)=('OBS')">(Blutgruppe): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@moodCode)=('EVN')">(Blutgruppe): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:statusCode[@code='completed'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Blutgruppe): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Blutgruppe): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Blutgruppe): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:author[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:author[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:author[not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:author[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])&gt;=1">(Blutgruppe): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])&lt;=1">(Blutgruppe): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']"
         id="d120e2786-false-d25141e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.10.4.29')">(Blutgruppe): The value for @root SHALL be '2.16.756.5.30.1.127.10.4.29'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1']"
         id="d120e2791-false-d25159e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.4.1')">(Blutgruppe): The value for @root SHALL be '2.16.756.5.30.1.1.1.1.3.4.1'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@extension)=('CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup')">(Blutgruppe): The value for @extension SHALL be 'CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']"
         id="d120e2798-false-d25181e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.13')">(Blutgruppe): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']"
         id="d120e2804-false-d25199e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.13.6')">(Blutgruppe): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']"
         id="d120e2809-false-d25217e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.31')">(Blutgruppe): The value for @root SHALL be '2.16.840.1.113883.10.20.1.31'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:id[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:id[not(@nullFlavor)]"
         id="d120e2814-false-d25235e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d120e2816-false-d25249e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@nullFlavor or (@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')">(Blutgruppe): The element value SHALL be one of 'code '882-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]"
         id="d120e2826-false-d25269e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d120e2831-false-d25295e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@value">(Blutgruppe): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d120e2841-false-d25313e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@nullFlavor or (@code='completed')">(Blutgruppe): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:effectiveTime
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:effectiveTime"
         id="d120e2847-false-d25333e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(*)">(Blutgruppe): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d120e2853-false-d25352e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Blutgruppe): The element value SHALL be one of '1.3.6.1.4.1.12559.11.10.1.3.1.42.20 epSOSBloodGroup (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]"
         id="d120e2861-false-d25377e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(Blutgruppe): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Blutgruppe): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(Blutgruppe): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(@contextControlCode) or (string-length(@contextControlCode)&gt;0 and not(matches(@contextControlCode,'\s')))">(Blutgruppe): Attribute @contextControlCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:time)&gt;=1">(Blutgruppe): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:time)&lt;=1">(Blutgruppe): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(Blutgruppe): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(Blutgruppe): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:time
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:time"
         id="d120e2867-false-d25425e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(*)">(Blutgruppe): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor"
         id="d120e2873-false-d25442e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(Blutgruppe): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Blutgruppe): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:id[@root='1.3.88'])&gt;=1">(Blutgruppe): element hl7:id[@root='1.3.88'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:id[@root='1.3.88'])&lt;=1">(Blutgruppe): element hl7:id[@root='1.3.88'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor/hl7:id[@root='1.3.88']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor/hl7:id[@root='1.3.88']"
         id="d120e2877-false-d25471e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('1.3.88')">(Blutgruppe): The value for @root SHALL be '1.3.88'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@extension">(Blutgruppe): attribute @extension SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (Blutgruppe)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']][hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@typeCode)=('COMP')">(Blutgruppe): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
